Skip to content

Get Funding History

GET
/v1/positions/funding/history

Returns a history of the funding details for an account's positions.

If the funding rate is positive, longs paid shorts and vice versa if the rate is negative (i.e. shorts paid longs).

Filtering by currencyPair

The currencyPair parameter may be used to filter the returned items by the name of the perpetual futures contract expressed as base, quote, PERP, e.g. BTCUSDTPERP.

Filtering by startTime or endTime

The startTime or endTime parameters may be used to filter the returned items by the transaction date. The parameters will be interpreted as being in the UTC time zone and must be supplied in the ISO 8601 format (2023-11-14T22:00:00.000Z). These two parameters may be used together or separately. When startTime is used, transactions that have occurred since startTime are returned. When endTime is used, transactions that have occurred up to and including endTime are returned. When not specified, 30 days worth of transactions are returned by default.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

currencyPair*

The name of the perpetual futures contract (e.g., BTCUSDTPERP)

Type
string
Required
startTime

Start time in ISO 8601 format (e.g., 2023-11-14T22:00:00.000Z)

Type
string
endTime

End time in ISO 8601 format (e.g., 2023-12-14T22:00:00.000Z)

Type
string
skip

Skip this number of results (default 0)

Type
integer
Format
"int32"
limit

Limit the results to this number (default and max 100)

Type
integer
Format
"int32"

Responses

Funding history retrieved successfully

application/json
JSON
[
{
"currencyPair": "BTCUSDTPERP",
"side": "buy",
"createdAt": "2025-06-21T12:00:00.491Z",
"fundingRate": "-0.001885",
"fundingAmount": "0.2545",
"positionTotal": "135.0414",
"positionId": "237a89ed-b431-df40-28a9-031900d5c4d4"
}
]

Playground

Authorization
Variables
Key
Value

Samples